Bug 177196 - __os_install_post doesn't strip binaries when debug package is generated
__os_install_post doesn't strip binaries when debug package is generated
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Masters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-07 01:26 EST by Stefan Becker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-24 02:59:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Becker 2006-01-07 01:26:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
In /usr/lib/rpm/redhat/macros:

%__os_install_post    \
...
    %{!?__debug_package:/usr/lib/rpm/redhat/brp-strip %{__strip}} \
...

__debug_package is defined when debug package is generated. In that case the binaries are *NOT* stripped.

Version-Release number of selected component (if applicable):
redhat-rpm-config-8.0.34-1.1

How reproducible:
Always

Steps to Reproduce:
1. Run rpm-build on a package with debuginfo generation selected (FC4 default)
2.
3.
  

Actual Results:  debuginfo package is generated. Binaries are not stripped

Expected Results:  debuginfo package is generated and binaries should be stripped.

Additional info:

The logic is reversed. Remove the "!", i.e.

%__os_install_post    \
...
    %{?__debug_package:/usr/lib/rpm/redhat/brp-strip %{__strip}} \
...
Comment 1 Christian Iseli 2007-01-19 19:35:53 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Stefan Becker 2007-01-24 02:59:44 EST
Can't reproduce the problem with FC6 anymore:

$ rpm -qa "*rpm*"
rpm-build-4.4.2-32
rpm-libs-4.4.2-32
rpm-4.4.2-32
rpm-python-4.4.2-32
redhat-rpm-config-8.0.45-6

Note You need to log in before you can comment on or make changes to this bug.